Summary: A specialized packet sniffer designed for displaying and logging HTTP traffic
Name: httpry
Version: 0.1.8
Release: 1
License: GPLv2 and BSD
URL: http://dumpsterventures.com/jason/httpry/
Group: Applications/Internet
Source0: http://dumpsterventures.com/jason/httpry/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libpcap-devel >= 1.4.0, make
Requires: libpcap >= 1.4.0

%description
httpry is a specialized packet sniffer designed for displaying and logging 
HTTP traffic. It is not intended to perform analysis itself, but to capture, 
parse, and log the traffic for later analysis. It can be run in real-time 
displaying the traffic as it is parsed, or as a daemon process that logs to 
an output file. It is written to be as lightweight and flexible as possible, 
so that it can be easily adaptable to different applications.


%prep
%setup -q
%patch0


%build
gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1

cp %{name} ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_sbindir}/%{name}
/usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/%{name}

cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/%{name}.1

cd ${RPM_BUILD_ROOT}
mkdir -p usr/sbin
cd usr/sbin
ln -sf ../..%{_sbindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr (-,root,system)
%doc doc/ChangeLog doc/COPYING doc/format-string doc/method-string
%doc doc/perl-tools doc/README 
%{_sbindir}/*
%{_mandir}/man1/*
/usr/sbin/*


%changelog
* Wed Jul 08 2014 Michael Perzl <michael@perzl.org> - 0.1.8-1
- updated to version 0.1.8

* Thu Mar 08 2012 Michael Perzl <michael@perzl.org> - 0.1.7-1
- first version for AIX V5.1 and higher
